import { useEffect } from "react";
import { useAppContext } from "../_context";
import Login from "../components/top-level/login";
import { useNavigate } from "react-router-dom";
export function _Login() {
  const navigate = useNavigate();

  const { userseats, LoginOrRegister, GetAllSeats } = useAppContext();
  useEffect(() => {
    GetAllSeats();
    sessionStorage.clear();
  }, []);
  const handleLogin = async ({ mobile }) => {
    const users = await LoginOrRegister({ mobile });
    if (users != null) {
      sessionStorage.setItem("userId", users.id);
      //check seat length for  already booked seats for the user
      const userstate = userseats.filter((e) =>
        e.id === users.id ? true : false
      );
      if (userstate.length) {
        //if store the seat length in session
        sessionStorage.setItem("seatLimit", userstate[0].seats.length);
        //redirect to booking component otherwise it will not redirect if not login
        sessionStorage.setItem("currentPath", "/booking");
        navigate("/booking");
      } else {
        sessionStorage.setItem("currentPath", "/seat-limit");
        navigate("/seat-limit");
      }
    }
  };
  return <Login onSubmit={handleLogin} />;
}
